Compute SLO instance summaries in bulk at a point in time

Base URL
https://{kibana_url}
  • POST /api/observability/slos/_bulk_snapshot
  • POST /s/{space_id}/api/observability/slos/_bulk_snapshot
Auth

Compute the summary of multiple SLO instances at a given point in time. The endpoint is synchronous and returns results directly. Each result contains either a summary (on success) or a per-instance error. The list of requests is limited to 100 entries. When instanceId is omitted or set to '*', the API returns a result for each matching instance (up to 1000 per SLO). You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Required authorization

Privileges slo_read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

at string · max length: 128 required

The point in time at which to compute the SLO instance summaries, for example 2025-01-12T10:00:00.000Z

requests object[] required

The list of SLO instances to compute. Limited to 100 entries.

id string · min length: 8 · max length: 48 · pattern: ^[a-z0-9-_]+$ required

The identifier of the SLO.

instanceId union enum | string

The SLO instance ID. Omit this parameter or set it to '*' to return all instances for the SLO (up to 1000). Set a specific value to return that instance only.

Values: *

Responses

Successful response

application/json
at string · format: date-time required

The point in time at which the summaries were computed

results object[] required

The per-instance computation results

error object

Error information when the computation failed for this SLO instance. Present when the computation failed.

message string required

The error message

statusCode number required

The HTTP status code of the error

id string required

The SLO definition id

instanceId string required

The SLO instance id. '*' represents the default (ungrouped) instance.

summary object

The SLO instance summary at the requested point in time. Present when the computation succeeded.

errorBudget object required
consumed number required nullable

The error budget consumed, or null when no data is available

initial number required

The initial error budget, derived from the SLO objective

remaining number required nullable

The error budget remaining, or null when no data is available

good number required

The number of good events

sliValue number required nullable

The SLI value at the requested point in time, or null when no data is available

status enum required

The SLO health status

Values: NO_DATA HEALTHY DEGRADING VIOLATED
total number required

The total number of events

Bad request

application/json
error string required
message string required
statusCode number required

Unauthorized response

application/json
error string required
message string required
statusCode number required

Forbidden response

application/json
error string required
message string required
statusCode number required
Base URL
https://{kibana_url}